" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %fun% %pi% *
syn keyword tl_keyword contained *args* *args-eff* *args-full* *child-env*
syn keyword tl_keyword contained *compile-opts* *doc-url* *filters* *full-args*
syn keyword tl_keyword contained *gensym-counter* *hash-seed* *lib-version* *listener-auto-compound-p*
syn keyword tl_keyword contained *listener-greedy-eval-p* *listener-hist-len* *listener-multi-line-p* *listener-pprint-p*
syn keyword tl_keyword contained *listener-sel-inclusive-p* *load-args* *load-hooks* *load-path*
syn keyword tl_keyword contained *load-search-dirs* *match-macro* *opt-level* *package*
syn keyword tl_keyword contained *package-alist* *param-macro* *place-clobber-expander* *place-delete-expander*
syn keyword tl_keyword contained *place-macro* *place-update-expander* *pprint-flo-format* *print-base*
syn keyword tl_keyword contained *print-circle* *print-flo-digits* *print-flo-format* *print-flo-precision*
syn keyword tl_keyword contained *print-json-format* *random-state* *random-warmup* *read-bad-json*
syn keyword tl_keyword contained *read-unknown-structs* *rec-source-loc* *stddebug* *stderr*
syn keyword tl_keyword contained *stdin* *stdlog* *stdnull* *stdout*
syn keyword tl_keyword contained *struct-clause-expander* *trace-output* *tree-fun-whitelist* *txr-version*
syn keyword tl_keyword contained *unhandled-hook* + - /
syn keyword tl_keyword contained /= : :abandoned :abs
syn keyword tl_keyword contained :addr :all :android :apf
syn keyword tl_keyword contained :append :args :atime :auto
syn keyword tl_keyword contained :awk-again :awk-file :awk-rec :begin
syn keyword tl_keyword contained :begin-file :blksize :blocks :bool
syn keyword tl_keyword contained :byte-oriented :cdigit :chars :cint
syn keyword tl_keyword contained :clean :close :compile :continue
syn keyword tl_keyword contained :counter :cspace :ctime :cword-char
syn keyword tl_keyword contained :cygnal :cygwin :dec :decline
syn keyword tl_keyword contained :delegate :dev :digit :downcase
syn keyword tl_keyword contained :end :end-file :env :eq-based
syn keyword tl_keyword contained :eql-based :equal-based :error :explicit-no
syn keyword tl_keyword contained :fallback :fd :fence :fields
syn keyword tl_keyword contained :filter :fini :finish :float
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :frombase64url :fromhtml
syn keyword tl_keyword contained :frompercent :fromurl :fun :function
syn keyword tl_keyword contained :gap :gid :greedy :hex
syn keyword tl_keyword contained :hextoint :inf :inherit :init
syn keyword tl_keyword contained :ino :inp :inputs :instance
syn keyword tl_keyword contained :into :key :let :lfilt
syn keyword tl_keyword contained :lines :linux :list :lists
syn keyword tl_keyword contained :local :longest :macos :macro
syn keyword tl_keyword contained :mandatory :mass-delegate :match :maxgap
syn keyword tl_keyword contained :maxtimes :method :mid :mingap
syn keyword tl_keyword contained :mintimes :mode :mtime :name
syn keyword tl_keyword contained :named :next-spec :nlink :noclose
syn keyword tl_keyword contained :nothrow :oct :ok :openbsd
syn keyword tl_keyword contained :outf :outp :output :owner
syn keyword tl_keyword contained :perms :postfini :postinit :prio
syn keyword tl_keyword contained :rdev :real-time :reflect :repeat-spec
syn keyword tl_keyword contained :resolve :rfilt :set :set-file
syn keyword tl_keyword contained :shortest :size :solaris :solaris10
syn keyword tl_keyword contained :space :standard :static :str
syn keyword tl_keyword contained :string :symacro :symlinks :text
syn keyword tl_keyword contained :times :tlist :to_html :tobase64
syn keyword tl_keyword contained :tobase64url :tofloat :tohtml :tohtml*
syn keyword tl_keyword contained :toint :tonumber :topercent :tourl
syn keyword tl_keyword contained :uid :unknown :upcase :use
syn keyword tl_keyword contained :use-from :use-syms :use-syms-as :userdata
syn keyword tl_keyword contained :var :vars :warn :weak-and
syn keyword tl_keyword contained :weak-keys :weak-or :weak-vals :whole
syn keyword tl_keyword contained :word-char :wrap < <=
syn keyword tl_keyword contained = > >= abort
syn keyword tl_keyword contained abs abs-path-p acons acons-new
syn keyword tl_keyword contained aconsql-new acos acosh add-suffix
syn keyword tl_keyword contained ado af-inet af-inet6 af-unix
syn keyword tl_keyword contained af-unspec ai-addrconfig ai-all ai-canonname
syn keyword tl_keyword contained ai-numerichost ai-numericserv ai-passive ai-v4mapped
syn keyword tl_keyword contained alet align alignof alist-nremove
syn keyword tl_keyword contained alist-remove all allocate-struct and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* append-each-prod
syn keyword tl_keyword contained append-each-prod* append-match-products append-matches apply
syn keyword tl_keyword contained aret arithp array arraysize
syn keyword tl_keyword contained ash asin asinh assert
syn keyword tl_keyword contained assoc assq assql at-exit-call
syn keyword tl_keyword contained at-exit-do-not-call atan atan2 atanh
syn keyword tl_keyword contained atom awk base-name base64-decode
syn keyword tl_keyword contained base64-decode-buf base64-encode base64-stream-dec base64-stream-enc
syn keyword tl_keyword contained base64url-decode base64url-decode-buf base64url-encode base64url-stream-dec
syn keyword tl_keyword contained base64url-stream-enc bchar be-double be-float
syn keyword tl_keyword contained be-int16 be-int32 be-int64 be-uint16
syn keyword tl_keyword contained be-uint32 be-uint64 bignum-len bignump
syn keyword tl_keyword contained bindable bit bitset blkcnt-t
syn keyword tl_keyword contained blksize-t block block* bool
syn keyword tl_keyword contained boundp bracket break-str brkint
syn keyword tl_keyword contained bs0 bs1 bsdly bstr
syn keyword tl_keyword contained bstr-d bstr-s buf buf-alloc-size
syn keyword tl_keyword contained buf-carray buf-compress buf-d buf-decompress
syn keyword tl_keyword contained buf-get-char buf-get-cptr buf-get-double buf-get-float
syn keyword tl_keyword contained buf-get-i16 buf-get-i32 buf-get-i64 buf-get-i8
syn keyword tl_keyword contained buf-get-int buf-get-long buf-get-short buf-get-u16
syn keyword tl_keyword contained buf-get-u32 buf-get-u64 buf-get-u8 buf-get-uchar
syn keyword tl_keyword contained buf-get-uint buf-get-ulong buf-get-ushort buf-int
syn keyword tl_keyword contained buf-list buf-put-buf buf-put-char buf-put-cptr
syn keyword tl_keyword contained buf-put-double buf-put-float buf-put-i16 buf-put-i32
syn keyword tl_keyword contained buf-put-i64 buf-put-i8 buf-put-int buf-put-long
syn keyword tl_keyword contained buf-put-short buf-put-u16 buf-put-u32 buf-put-u64
syn keyword tl_keyword contained buf-put-u8 buf-put-uchar buf-put-uint buf-put-ulong
syn keyword tl_keyword contained buf-put-ushort buf-set-length buf-str buf-trim
syn keyword tl_keyword contained buf-uint bufp build build-list
syn keyword tl_keyword contained buildn built-in-type-p butlast butlastn
syn keyword tl_keyword contained caaaaar caaaadr caaaar caaadar
syn keyword tl_keyword contained caaaddr caaadr caaar caadaar
syn keyword tl_keyword contained caadadr caadar caaddar caadddr
syn keyword tl_keyword contained caaddr caadr caar cadaaar
syn keyword tl_keyword contained cadaadr cadaar cadadar cadaddr
syn keyword tl_keyword contained cadadr cadar caddaar caddadr
syn keyword tl_keyword contained caddar cadddar caddddr cadddr
syn keyword tl_keyword contained caddr cadr call call-clobber-expander
syn keyword tl_keyword contained call-delete-expander call-finalizers call-super-fun call-super-method
syn keyword tl_keyword contained call-update-expander callf car carray
syn keyword tl_keyword contained carray-blank carray-buf carray-buf-sync carray-cptr
syn keyword tl_keyword contained carray-dup carray-free carray-get carray-getz
syn keyword tl_keyword contained carray-int carray-list carray-own carray-pun
syn keyword tl_keyword contained carray-put carray-putz carray-ref carray-refset
syn keyword tl_keyword contained carray-replace carray-set-length carray-sub carray-type
syn keyword tl_keyword contained carray-uint carray-vec carrayp caseq
syn keyword tl_keyword contained caseq* caseql caseql* casequal
syn keyword tl_keyword contained casequal* cat-files cat-str cat-streams
syn keyword tl_keyword contained cat-vec catch catch* catch**
syn keyword tl_keyword contained catenated-stream-p catenated-stream-push cbaud cbaudex
syn keyword tl_keyword contained cbrt cdaaaar cdaaadr cdaaar
syn keyword tl_keyword contained cdaadar cdaaddr cdaadr cdaar
syn keyword tl_keyword contained cdadaar cdadadr cdadar cdaddar
syn keyword tl_keyword contained cdadddr cdaddr cdadr cdar
syn keyword tl_keyword contained cddaaar cddaadr cddaar cddadar
syn keyword tl_keyword contained cddaddr cddadr cddar cdddaar
syn keyword tl_keyword contained cdddadr cdddar cddddar cdddddr
syn keyword tl_keyword contained cddddr cdddr cddr cdr
syn keyword tl_keyword contained ceil ceil-rem chain chand
syn keyword tl_keyword contained char chdir chmod chmod-rec
syn keyword tl_keyword contained chown chown-rec chr-digit chr-int
syn keyword tl_keyword contained chr-isalnum chr-isalpha chr-isascii chr-isblank
syn keyword tl_keyword contained chr-iscntrl chr-isdigit chr-isgraph chr-islower
syn keyword tl_keyword contained chr-isprint chr-ispunct chr-isspace chr-isunisp
syn keyword tl_keyword contained chr-isupper chr-isxdigit chr-num chr-str
syn keyword tl_keyword contained chr-str-set chr-tolower chr-toupper chr-xdigit
syn keyword tl_keyword contained chrp clamp clean-file clear-dirty
syn keyword tl_keyword contained clear-error clear-mask clear-struct clearhash
syn keyword tl_keyword contained clocal clock-t clockid-t close
syn keyword tl_keyword contained close-lazy-streams close-stream closedir closelog
syn keyword tl_keyword contained closure cmp-str cmspar cnsort
syn keyword tl_keyword contained coded-length collect-each collect-each* collect-each-prod
syn keyword tl_keyword contained collect-each-prod* comb command-get command-get-buf
syn keyword tl_keyword contained command-get-json command-get-jsons command-get-lines command-get-string
syn keyword tl_keyword contained command-put command-put-buf command-put-json command-put-jsons
syn keyword tl_keyword contained command-put-lines command-put-string compare-swap compile
syn keyword tl_keyword contained compile-defr-warning compile-error compile-file compile-only
syn keyword tl_keyword contained compile-toplevel compile-update-file compile-warning compiler-let
syn keyword tl_keyword contained compl-span-str cond conda condlet
syn keyword tl_keyword contained cons conses conses* consp
syn keyword tl_keyword contained constantp contain[s] copy copy-alist
syn keyword tl_keyword contained copy-buf copy-carray copy-cons copy-cptr
syn keyword tl_keyword contained copy-file copy-files copy-fun copy-hash
syn keyword tl_keyword contained copy-list copy-path-rec copy-search-tree copy-str
syn keyword tl_keyword contained copy-struct copy-tnode copy-tree copy-tree-iter
syn keyword tl_keyword contained copy-vec copysign cos cosh
syn keyword tl_keyword contained count count-if count-until-match countq
syn keyword tl_keyword contained countql countqual cptr cptr-buf
syn keyword tl_keyword contained cptr-carray cptr-cast cptr-free cptr-get
syn keyword tl_keyword contained cptr-int cptr-null cptr-obj cptr-out
syn keyword tl_keyword contained cptr-size-hint cptr-type cptr-zap cptrp
syn keyword tl_keyword contained cr0 cr1 cr2 cr3
syn keyword tl_keyword contained crc32 crc32-stream crdly cread
syn keyword tl_keyword contained crtscts crypt cs5 cs6
syn keyword tl_keyword contained cs7 cs8 csize csnsort
syn keyword tl_keyword contained csort csort-group cssort cstopb
syn keyword tl_keyword contained cum-norm-dist cxr cyr daemon
syn keyword tl_keyword contained dec defer-warning defex deffi
syn keyword tl_keyword contained deffi-cb deffi-cb-unsafe deffi-struct deffi-sym
syn keyword tl_keyword contained deffi-type deffi-union deffi-var define-accessor
syn keyword tl_keyword contained define-modify-macro define-option-struct define-param-expander define-place-macro
syn keyword tl_keyword contained define-struct-clause define-struct-prelude defmacro defmatch
syn keyword tl_keyword contained defmeth defpackage defparm defparml
syn keyword tl_keyword contained defplace defset defstruct defsymacro
syn keyword tl_keyword contained defun defun-match defvar defvarl
syn keyword tl_keyword contained del delay delcons delete-package
syn keyword tl_keyword contained dev-t diff digits digpow
syn keyword tl_keyword contained dir-name dirstat disassemble display-width
syn keyword tl_keyword contained divides dlclose dlopen dlsym
syn keyword tl_keyword contained dlsym-checked dlvsym dlvsym-checked do
syn keyword tl_keyword contained doc dohash doloop doloop*
syn keyword tl_keyword contained dotimes double downcase-str drem
syn keyword tl_keyword contained drop drop-until drop-while dt-blk
syn keyword tl_keyword contained dt-chr dt-dir dt-fifo dt-lnk
syn keyword tl_keyword contained dt-reg dt-sock dt-unknown dump-compiled-objects
syn keyword tl_keyword contained dump-deferred-warnings dup dupfd dwim
syn keyword tl_keyword contained e2big eacces each each*
syn keyword tl_keyword contained each-false each-match each-match-product each-prod
syn keyword tl_keyword contained each-prod* each-true eaddrinuse eaddrnotavail
syn keyword tl_keyword contained eafnosupport eagain ealready ebadf
syn keyword tl_keyword contained ebadmsg ebusy ecanceled ecaseq
syn keyword tl_keyword contained ecaseq* ecaseql ecaseql* ecasequal
syn keyword tl_keyword contained ecasequal* echild echo echoctl
syn keyword tl_keyword contained echoe echok echoke echonl
syn keyword tl_keyword contained echoprt econnaborted econnrefused econnreset
syn keyword tl_keyword contained edeadlk edestaddrreq edom edquot
syn keyword tl_keyword contained eexist efault efbig ehostunreach
syn keyword tl_keyword contained eidrm eighth eilseq einprogress
syn keyword tl_keyword contained eintr einval eio eisconn
syn keyword tl_keyword contained eisdir elemsize elemtype eloop
syn keyword tl_keyword contained emfile emlink empty emsgsize
syn keyword tl_keyword contained emultihop enametoolong endgrent endp
syn keyword tl_keyword contained endpwent ends-with enetdown enetreset
syn keyword tl_keyword contained enetunreach enfile enobufs enodata
syn keyword tl_keyword contained enodev enoent enoexec enolck
syn keyword tl_keyword contained enolink enomem enomsg enoprotoopt
syn keyword tl_keyword contained enospc enosr enostr enosys
syn keyword tl_keyword contained enotconn enotdir enotempty enotrecoverable
syn keyword tl_keyword contained enotsock enotsup enotty ensure
syn keyword tl_keyword contained ensure-dir enum enumed env
syn keyword tl_keyword contained env-fbind env-fbindings env-hash env-next
syn keyword tl_keyword contained env-vbind env-vbindings enxio eopnotsupp
syn keyword tl_keyword contained eoverflow eownerdead eperm epipe
syn keyword tl_keyword contained eproto eprotonosupport eprototype eq
syn keyword tl_keyword contained eql equal equot erange
syn keyword tl_keyword contained erf erfc erofs errno
syn keyword tl_keyword contained error espipe esrch estale
syn keyword tl_keyword contained etime etimedout etxtbsy etypecase
syn keyword tl_keyword contained eval eval-only evenp ewouldblock
syn keyword tl_keyword contained exception-subtype-map exception-subtype-p exdev exec
syn keyword tl_keyword contained exit exit* exp exp10
syn keyword tl_keyword contained exp2 expand expand* expand-left
syn keyword tl_keyword contained expand-right expand-with-free-refs expander-let expm1
syn keyword tl_keyword contained expt exptmod extproc f$
syn keyword tl_keyword contained f-dupfd f-dupfd-cloexec f-getfd f-getfl
syn keyword tl_keyword contained f-getlk f-rdlck f-setfd f-setfl
syn keyword tl_keyword contained f-setlk f-setlkw f-unlck f-wrlck
syn keyword tl_keyword contained f^ f^$ false fboundp
syn keyword tl_keyword contained fcntl fd-cloexec fdim ff0
syn keyword tl_keyword contained ff1 ffdly ffi ffi-alignof
syn keyword tl_keyword contained ffi-arraysize ffi-call ffi-elemsize ffi-elemtype
syn keyword tl_keyword contained ffi-get ffi-in ffi-make-call-desc ffi-make-closure
syn keyword tl_keyword contained ffi-offsetof ffi-out ffi-put ffi-put-into
syn keyword tl_keyword contained ffi-size ffi-type-compile ffi-type-operator-p ffi-type-p
syn keyword tl_keyword contained ffi-typedef fifth file-append file-append-buf
syn keyword tl_keyword contained file-append-json file-append-jsons file-append-lines file-append-objects
syn keyword tl_keyword contained file-append-string file-get file-get-buf file-get-json
syn keyword tl_keyword contained file-get-jsons file-get-lines file-get-objects file-get-string
syn keyword tl_keyword contained file-place-buf file-put file-put-buf file-put-json
syn keyword tl_keyword contained file-put-jsons file-put-lines file-put-objects file-put-string
syn keyword tl_keyword contained fileno fill-buf fill-buf-adjust fill-carray
syn keyword tl_keyword contained fill-obj fill-vec filter-equal filter-string-tree
syn keyword tl_keyword contained finalize find find-frame find-frames
syn keyword tl_keyword contained find-frames-by-mask find-if find-max find-max-key
syn keyword tl_keyword contained find-min find-min-key find-package find-struct-type
syn keyword tl_keyword contained find-symbol find-symbol-fb find-true first
syn keyword tl_keyword contained fixnum-max fixnum-min fixnump flatcar
syn keyword tl_keyword contained flatcar* flatten flatten* flet
syn keyword tl_keyword contained flip flipargs flo-dig flo-down
syn keyword tl_keyword contained flo-epsilon flo-get-round-mode flo-int flo-max
syn keyword tl_keyword contained flo-max-dig flo-min flo-near flo-set-round-mode
syn keyword tl_keyword contained flo-str flo-up flo-zero float
syn keyword tl_keyword contained floatp floor floor-rem flow
syn keyword tl_keyword contained flush-stream flusho fmakunbound fmax
syn keyword tl_keyword contained fmin fmt fnm-casefold fnm-extmatch
syn keyword tl_keyword contained fnm-leading-dir fnm-noescape fnm-pathname fnm-period
syn keyword tl_keyword contained fnmatch for for* force
syn keyword tl_keyword contained force-break fork format fourth
syn keyword tl_keyword contained fr$ fr^ fr^$ from
syn keyword tl_keyword contained frr fsblkcnt-t fsfilcnt-t fstat
syn keyword tl_keyword contained ftw ftw-actionretval ftw-chdir ftw-continue
syn keyword tl_keyword contained ftw-d ftw-depth ftw-dnr ftw-dp
syn keyword tl_keyword contained ftw-f ftw-mount ftw-ns ftw-phys
syn keyword tl_keyword contained ftw-skip-siblings ftw-skip-subtree ftw-sl ftw-sln
syn keyword tl_keyword contained ftw-stop fun fun-fixparam-count fun-optparam-count
syn keyword tl_keyword contained fun-variadic func-get-env func-get-form func-get-name
syn keyword tl_keyword contained func-set-env functionp gamma gcd
syn keyword tl_keyword contained gen gen-hash-seed generate gensym
syn keyword tl_keyword contained gequal get-buf-from-stream get-byte get-char
syn keyword tl_keyword contained get-clobber-expander get-delete-expander get-error get-error-str
syn keyword tl_keyword contained get-frames get-hash-userdata get-indent get-indent-mode
syn keyword tl_keyword contained get-json get-jsons get-line get-line-as-buf
syn keyword tl_keyword contained get-lines get-list-from-stream get-obj get-sig-handler
syn keyword tl_keyword contained get-stack-limit get-string get-string-from-stream get-update-expander
syn keyword tl_keyword contained getaddrinfo getegid getenv geteuid
syn keyword tl_keyword contained getgid getgrent getgrgid getgrnam
syn keyword tl_keyword contained getgroups gethash getitimer getopts
syn keyword tl_keyword contained getpid getppid getpwent getpwnam
syn keyword tl_keyword contained getpwuid getresgid getresuid getrlimit
syn keyword tl_keyword contained getuid gid-t ginterate giterate
syn keyword tl_keyword contained glob glob* glob-altdirfunc glob-brace
syn keyword tl_keyword contained glob-err glob-mark glob-nocheck glob-noescape
syn keyword tl_keyword contained glob-nomagic glob-nosort glob-onlydir glob-period
syn keyword tl_keyword contained glob-tilde glob-tilde-check glob-xnobrace go
syn keyword tl_keyword contained grade greater group-by group-map
syn keyword tl_keyword contained group-reduce gun handle handle*
syn keyword tl_keyword contained handler-bind hash hash-alist hash-begin
syn keyword tl_keyword contained hash-construct hash-count hash-diff hash-eql
syn keyword tl_keyword contained hash-equal hash-from-alist hash-from-pairs hash-invert
syn keyword tl_keyword contained hash-isec hash-join hash-keys hash-keys-of
syn keyword tl_keyword contained hash-list hash-map hash-next hash-pairs
syn keyword tl_keyword contained hash-peek hash-proper-subset hash-props hash-reset
syn keyword tl_keyword contained hash-revget hash-subset hash-symdiff hash-uni
syn keyword tl_keyword contained hash-update hash-update-1 hash-userdata hash-values
syn keyword tl_keyword contained hash-zip hashp have hist-sort
syn keyword tl_keyword contained hlet hlet* html-decode html-encode
syn keyword tl_keyword contained html-encode* hupcl hypot iapply
syn keyword tl_keyword contained icanon icrnl id-t identity
syn keyword tl_keyword contained identity* ido iexten if
syn keyword tl_keyword contained if-match ifa iff iffi
syn keyword tl_keyword contained iflet ignbrk igncr ignerr
syn keyword tl_keyword contained ignore ignpar ignwarn imaxbel
syn keyword tl_keyword contained improper-plist-to-alist in in-package in-range
syn keyword tl_keyword contained in-range* in6addr-any in6addr-loopback in6addr-str
syn keyword tl_keyword contained inaddr-any inaddr-loopback inaddr-str inc
syn keyword tl_keyword contained inc-indent inc-indent-abs indent-code indent-data
syn keyword tl_keyword contained indent-foff indent-off inhash inlcr
syn keyword tl_keyword contained ino-t inpck int int-buf
syn keyword tl_keyword contained int-carray int-chr int-cptr int-flo
syn keyword tl_keyword contained int-ptr-t int-str int16 int32
syn keyword tl_keyword contained int64 int8 integerp intern
syn keyword tl_keyword contained intern-fb interp-fun-p interpose intmax-t
syn keyword tl_keyword contained inv-cum-norm invoke-catch ip ipf
syn keyword tl_keyword contained ipproto-ip ipproto-ipv6 ipproto-tcp ipproto-udp
syn keyword tl_keyword contained ipv6-join-group ipv6-leave-group ipv6-multicast-hops ipv6-multicast-if
syn keyword tl_keyword contained ipv6-multicast-loop ipv6-unicast-hops ipv6-v6only iread
syn keyword tl_keyword contained isatty isec isecp isig
syn keyword tl_keyword contained isqrt istrip iter-begin iter-item
syn keyword tl_keyword contained iter-more iter-reset iter-step iterable
syn keyword tl_keyword contained itimer-prof itimer-real itimer-virtual iuclc
syn keyword tl_keyword contained iutf8 ixany ixoff ixon
syn keyword tl_keyword contained j0 j1 jmp-buf jn
syn keyword tl_keyword contained join join-with json juxt
syn keyword tl_keyword contained keep-if keep-if* keep-keys-if keep-match-products
syn keyword tl_keyword contained keep-matches keepq keepql keepqual
syn keyword tl_keyword contained key key-t keyword-package keywordp
syn keyword tl_keyword contained kill labels lambda lambda-match
syn keyword tl_keyword contained last lazy-str lazy-str-force lazy-str-force-upto
syn keyword tl_keyword contained lazy-str-get-trailing-list lazy-stream-cons lazy-stringp lchown
syn keyword tl_keyword contained lcm lcons lcons-car lcons-cdr
syn keyword tl_keyword contained lcons-fun lconsp ldexp ldiff
syn keyword tl_keyword contained ldo le-double le-float le-int16
syn keyword tl_keyword contained le-int32 le-int64 le-uint16 le-uint32
syn keyword tl_keyword contained le-uint64 left len length
syn keyword tl_keyword contained length-< length-buf length-carray length-list
syn keyword tl_keyword contained length-list-< length-str length-str-< length-str-<=
syn keyword tl_keyword contained length-str-> length-str->= length-vec lequal
syn keyword tl_keyword contained less let let* lexical-binding-kind
syn keyword tl_keyword contained lexical-fun-binding-kind lexical-fun-p lexical-lisp1-binding lexical-macro-p
syn keyword tl_keyword contained lexical-symacro-p lexical-var-p lflow lgamma
syn keyword tl_keyword contained lib-version link lisp-parse list
syn keyword tl_keyword contained list* list-carray list-seq list-str
syn keyword tl_keyword contained list-vec list-vector listp lnew
syn keyword tl_keyword contained lnew* load load-args-process load-args-recurse
syn keyword tl_keyword contained load-for load-time loand loff-t
syn keyword tl_keyword contained log log-alert log-auth log-authpriv
syn keyword tl_keyword contained log-cons log-crit log-daemon log-debug
syn keyword tl_keyword contained log-emerg log-err log-info log-ndelay
syn keyword tl_keyword contained log-notice log-nowait log-odelay log-perror
syn keyword tl_keyword contained log-pid log-user log-warning log10
syn keyword tl_keyword contained log1p log2 logand logb
syn keyword tl_keyword contained logcount logior lognot logtest
syn keyword tl_keyword contained logtrunc logxor long long-suffix
syn keyword tl_keyword contained longjmp longlong lop lopf
syn keyword tl_keyword contained lopip lset lstat lutimes
syn keyword tl_keyword contained m$ m^ m^$ mac-env-param-bind
syn keyword tl_keyword contained mac-param-bind macro-ancestor macro-form-p macro-time
syn keyword tl_keyword contained macroexpand macroexpand-1 macroexpand-1-lisp1 macroexpand-1-place
syn keyword tl_keyword contained macroexpand-lisp1 macroexpand-match macroexpand-params macroexpand-place
syn keyword tl_keyword contained macroexpand-struct-clause macrolet madv-dodump madv-dofork
syn keyword tl_keyword contained madv-dontdump madv-dontfork madv-dontneed madv-free
syn keyword tl_keyword contained madv-hugepage madv-hwpoison madv-keeponfork madv-mergeable
syn keyword tl_keyword contained madv-nohugepage madv-normal madv-random madv-remove
syn keyword tl_keyword contained madv-sequential madv-unmergeable madv-willneed madv-wipeonfork
syn keyword tl_keyword contained madvise major make-buf make-buf-stream
syn keyword tl_keyword contained make-byte-input-stream make-catenated-stream make-env make-hash
syn keyword tl_keyword contained make-lazy-cons make-lazy-struct make-like make-package
syn keyword tl_keyword contained make-random-state make-similar-hash make-similar-tree make-string-byte-input-stream
syn keyword tl_keyword contained make-string-input-stream make-string-output-stream make-strlist-input-stream make-strlist-output-stream
syn keyword tl_keyword contained make-struct make-struct-delegate-stream make-struct-type make-sym
syn keyword tl_keyword contained make-time make-time-utc make-trie make-union
syn keyword tl_keyword contained make-zstruct makedev makunbound map-anon
syn keyword tl_keyword contained map-fixed map-growsdown map-huge-mask map-huge-shift
syn keyword tl_keyword contained map-hugetlb map-locked map-nonblock map-noreserve
syn keyword tl_keyword contained map-populate map-private map-shared map-stack
syn keyword tl_keyword contained mapcar mapcar* mapdo mapf
syn keyword tl_keyword contained maphash mappend mappend* maprend
syn keyword tl_keyword contained maprod maprodo mask match
syn keyword tl_keyword contained match-case match-cond match-ecase match-error
syn keyword tl_keyword contained match-fboundp match-fun match-regex match-regex-right
syn keyword tl_keyword contained match-regst match-regst-right match-str match-str-tree
syn keyword tl_keyword contained max mboundp md5 md5-begin
syn keyword tl_keyword contained md5-end md5-hash md5-stream member
syn keyword tl_keyword contained member-if memp memq memql
syn keyword tl_keyword contained memqual meq meql mequal
syn keyword tl_keyword contained merge merge-delete-package meth method
syn keyword tl_keyword contained min minor minusp mismatch
syn keyword tl_keyword contained mkdir mkdtemp mkfifo mknod
syn keyword tl_keyword contained mkstemp mkstring mlet mmakunbound
syn keyword tl_keyword contained mmap mod mode-t mprotect
syn keyword tl_keyword contained mref ms-async ms-invalidate ms-sync
syn keyword tl_keyword contained msync mul-each mul-each* mul-each-prod
syn keyword tl_keyword contained mul-each-prod* multi multi-sort munmap
syn keyword tl_keyword contained n-choose-k n-perm-k nand nandf
syn keyword tl_keyword contained nconc nearbyint neg neq
syn keyword tl_keyword contained neql nequal nested-vec nested-vec-of
syn keyword tl_keyword contained new new* nexpand-left nextafter
syn keyword tl_keyword contained nil nilf ninth nl0
syn keyword tl_keyword contained nl1 nldly nlink-t noflsh
syn keyword tl_keyword contained none nor norf not
syn keyword tl_keyword contained notf nreconc nreverse nrot
syn keyword tl_keyword contained nshuffle nsort nth nthcdr
syn keyword tl_keyword contained nthlast null nullify num-chr
syn keyword tl_keyword contained num-str numberp nzerop o-accmode
syn keyword tl_keyword contained o-append o-async o-cloexec o-creat
syn keyword tl_keyword contained o-direct o-directory o-noatime o-noctty
syn keyword tl_keyword contained o-nofollow o-nonblock o-path o-rdonly
syn keyword tl_keyword contained o-rdwr o-sync o-trunc o-wronly
syn keyword tl_keyword contained oand obtain obtain* obtain*-block
syn keyword tl_keyword contained obtain-block ocrnl oddp ofdel
syn keyword tl_keyword contained off-t offsetof ofill olcuc
syn keyword tl_keyword contained onlcr onlret onocr op
syn keyword tl_keyword contained open-command open-directory open-file open-fileno
syn keyword tl_keyword contained open-files open-files* open-pipe open-process
syn keyword tl_keyword contained open-socket open-socket-pair open-subprocess open-tail
syn keyword tl_keyword contained opendir openlog opf opip
syn keyword tl_keyword contained opost opt opthelp opthelp-conventions
syn keyword tl_keyword contained opthelp-types or orf pack
syn keyword tl_keyword contained package-alist package-fallback-list package-foreign-symbols package-local-symbols
syn keyword tl_keyword contained package-name package-symbols packagep pad
syn keyword tl_keyword contained page-size pairlis parenb parmrk
syn keyword tl_keyword contained parodd parse-errors partition partition*
syn keyword tl_keyword contained partition-by partition-if path-blkdev-p path-cat
syn keyword tl_keyword contained path-chrdev-p path-components-safe path-dir-empty path-dir-p
syn keyword tl_keyword contained path-equal path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-safe-sticky-dir path-same-object path-search path-sep-chars
syn keyword tl_keyword contained path-setgid-p path-setuid-p path-sock-p path-sticky-p
syn keyword tl_keyword contained path-strictly-private-to-me-p path-symlink-p path-writable-to-me-p pdec
syn keyword tl_keyword contained pendin perm pic pid-t
syn keyword tl_keyword contained pinc pipe place-form-p placelet
syn keyword tl_keyword contained placelet* plist-to-alist plusp poll
syn keyword tl_keyword contained poll-err poll-in poll-nval poll-out
syn keyword tl_keyword contained poll-pri poll-rdband poll-rdhup poll-wrband
syn keyword tl_keyword contained poly pop pop-after-load portable-abs-path-p
syn keyword tl_keyword contained pos pos-if pos-max pos-min
syn keyword tl_keyword contained posq posql posqual pppred
syn keyword tl_keyword contained ppred pprinl pprint pprof
syn keyword tl_keyword contained pred prinl print prod
syn keyword tl_keyword contained prof prog prog* prog1
syn keyword tl_keyword contained prog2 progn progv promisep
syn keyword tl_keyword contained prop proper-list-p proper-listp prot-exec
syn keyword tl_keyword contained prot-growsdown prot-growsup prot-none prot-read
syn keyword tl_keyword contained prot-write pset ptr ptr-in
syn keyword tl_keyword contained ptr-in-d ptr-out ptr-out-d ptr-out-s
syn keyword tl_keyword contained ptrdiff-t pub:txr-sym pure-rel-path-p purge-deferred-warning
syn keyword tl_keyword contained push push-after-load pushhash pushnew
syn keyword tl_keyword contained put-buf put-byte put-carray put-char
syn keyword tl_keyword contained put-json put-jsonl put-jsons put-line
syn keyword tl_keyword contained put-lines put-obj put-string put-strings
syn keyword tl_keyword contained pwd qquote qref quantile
syn keyword tl_keyword contained quip quote r$ r^
syn keyword tl_keyword contained r^$ raise rand random
syn keyword tl_keyword contained random-buf random-fixnum random-float random-float-incl
syn keyword tl_keyword contained random-sample random-state-get-vec random-state-p range
syn keyword tl_keyword contained range* range-regex rangep rassoc
syn keyword tl_keyword contained rassq rassql rcomb rcons
syn keyword tl_keyword contained read read-objects read-once read-until-match
syn keyword tl_keyword contained readdir readlink real-time-stream-p realpath
syn keyword tl_keyword contained record-adapter reduce-left reduce-right ref
syn keyword tl_keyword contained refset regex-compile regex-from-trie regex-optimize
syn keyword tl_keyword contained regex-parse regex-prefix-match regex-source regexp
syn keyword tl_keyword contained register-exception-subtypes register-tentative-def regsub rehome-sym
syn keyword tl_keyword contained reject rel-path relate release-deferred-warnings
syn keyword tl_keyword contained remainder remhash remove-if remove-if*
syn keyword tl_keyword contained remove-path remove-path-rec remq remq*
syn keyword tl_keyword contained remql remql* remqual remqual*
syn keyword tl_keyword contained rename-path repeat replace replace-buf
syn keyword tl_keyword contained replace-env replace-list replace-str replace-struct
syn keyword tl_keyword contained replace-tree-iter replace-vec reset-struct rest
syn keyword tl_keyword contained ret retf return return*
syn keyword tl_keyword contained return-from revappend reverse rfind
syn keyword tl_keyword contained rfind-if right rint rlcp
syn keyword tl_keyword contained rlcp-tree rlet rlim-infinity rlim-saved-cur
syn keyword tl_keyword contained rlim-saved-max rlimit-as rlimit-core rlimit-cpu
syn keyword tl_keyword contained rlimit-data rlimit-fsize rlimit-nofile rlimit-stack
syn keyword tl_keyword contained rlink rlist rlist* rmdir
syn keyword tl_keyword contained rmember rmember-if rmemq rmemql
syn keyword tl_keyword contained rmemqual rmismatch rot rotate
syn keyword tl_keyword contained round round-rem rperm rplaca
syn keyword tl_keyword contained rplacd rpoly rpos rpos-if
syn keyword tl_keyword contained rposq rposql rposqual rr
syn keyword tl_keyword contained rra rsearch rslot rtld-deepbind
syn keyword tl_keyword contained rtld-global rtld-lazy rtld-local rtld-nodelete
syn keyword tl_keyword contained rtld-noload rtld-now run s-ifblk
syn keyword tl_keyword contained s-ifchr s-ifdir s-ififo s-iflnk
syn keyword tl_keyword contained s-ifmt s-ifreg s-ifsock s-irgrp
syn keyword tl_keyword contained s-iroth s-irusr s-irwxg s-irwxo
syn keyword tl_keyword contained s-irwxu s-isgid s-isuid s-isvtx
syn keyword tl_keyword contained s-iwgrp s-iwoth s-iwusr s-ixgrp
syn keyword tl_keyword contained s-ixoth s-ixusr save-exe sbit
syn keyword tl_keyword contained scalb scalbln scan-until-match search
syn keyword tl_keyword contained search-all search-regex search-regst search-str
syn keyword tl_keyword contained search-str-tree second seek-cur seek-end
syn keyword tl_keyword contained seek-set seek-stream select self-load-path
syn keyword tl_keyword contained self-path separate separate-keys seq-begin
syn keyword tl_keyword contained seq-next seq-reset seqp set
syn keyword tl_keyword contained set-diff set-hash-userdata set-indent set-indent-mode
syn keyword tl_keyword contained set-key set-left set-mask set-max-depth
syn keyword tl_keyword contained set-max-length set-package-fallback-list set-right set-sig-handler
syn keyword tl_keyword contained set-stack-limit setegid setenv seteuid
syn keyword tl_keyword contained setgid setgrent setgroups sethash
syn keyword tl_keyword contained setitimer setjmp setlogmask setpwent
syn keyword tl_keyword contained setresgid setresuid setrlimit setuid
syn keyword tl_keyword contained seventh sh sh-esc sh-esc-all
syn keyword tl_keyword contained sh-esc-dq sh-esc-sq sha1 sha1-begin
syn keyword tl_keyword contained sha1-end sha1-hash sha1-stream sha256
syn keyword tl_keyword contained sha256-begin sha256-end sha256-hash sha256-stream
syn keyword tl_keyword contained shift short short-suffix shuffle
syn keyword tl_keyword contained shut-rd shut-rdwr shut-wr sig-abrt
syn keyword tl_keyword contained sig-alrm sig-atomic-t sig-bus sig-check
syn keyword tl_keyword contained sig-chld sig-cont sig-fpe sig-hup
syn keyword tl_keyword contained sig-ill sig-int sig-io sig-iot
syn keyword tl_keyword contained sig-kill sig-pipe sig-poll sig-prof
syn keyword tl_keyword contained sig-pwr sig-quit sig-segv sig-stkflt
syn keyword tl_keyword contained sig-stop sig-sys sig-term sig-trap
syn keyword tl_keyword contained sig-tstp sig-ttin sig-ttou sig-urg
syn keyword tl_keyword contained sig-usr1 sig-usr2 sig-vtalrm sig-winch
syn keyword tl_keyword contained sig-xcpu sig-xfsz sign-extend significand
syn keyword tl_keyword contained signum sin sinh sixth
syn keyword tl_keyword contained size-t size-vec sizeof slet
syn keyword tl_keyword contained slot slotp slots slotset
syn keyword tl_keyword contained snsort so-acceptconn so-broadcast so-debug
syn keyword tl_keyword contained so-dontroute so-error so-keepalive so-linger
syn keyword tl_keyword contained so-oobinline so-rcvbuf so-rcvlowat so-rcvtimeo
syn keyword tl_keyword contained so-reuseaddr so-sndbuf so-sndlowat so-sndtimeo
syn keyword tl_keyword contained so-type sock-accept sock-bind sock-cloexec
syn keyword tl_keyword contained sock-connect sock-dgram sock-family sock-listen
syn keyword tl_keyword contained sock-nonblock sock-opt sock-peer sock-recv-timeout
syn keyword tl_keyword contained sock-send-timeout sock-set-opt sock-set-peer sock-shutdown
syn keyword tl_keyword contained sock-stream sock-type sockaddr-str socklen-t
syn keyword tl_keyword contained sol-socket some some-false some-true
syn keyword tl_keyword contained sort sort-group source-loc source-loc-str
syn keyword tl_keyword contained span-str special-operator-p special-var-p spl
syn keyword tl_keyword contained splice split split* split-str
syn keyword tl_keyword contained split-str-set spln sqrt square
syn keyword tl_keyword contained ssize-t ssort sspl sssucc
syn keyword tl_keyword contained ssucc starts-with stat static-slot
syn keyword tl_keyword contained static-slot-ensure static-slot-home static-slot-p static-slot-set
syn keyword tl_keyword contained stdlib str str-buf str-d
syn keyword tl_keyword contained str-esc str-in6addr str-in6addr-net str-inaddr
syn keyword tl_keyword contained str-inaddr-net str-s str-seq str<
syn keyword tl_keyword contained str<= str= str> str>=
syn keyword tl_keyword contained stream-get-prop stream-set-prop streamp strerror
syn keyword tl_keyword contained string-extend string-finish string-get-code string-lt
syn keyword tl_keyword contained string-set-code stringp strsignal struct
syn keyword tl_keyword contained struct-from-args struct-from-plist struct-get-initfun struct-get-postinitfun
syn keyword tl_keyword contained struct-set-initfun struct-set-postinitfun struct-type struct-type-name
syn keyword tl_keyword contained struct-type-p structp sub sub-buf
syn keyword tl_keyword contained sub-list sub-str sub-tree sub-vec
syn keyword tl_keyword contained subq subql subqual subst
syn keyword tl_keyword contained subtypep succ sum sum-each
syn keyword tl_keyword contained sum-each* sum-each-prod sum-each-prod* super
syn keyword tl_keyword contained super-method suspend swap symacrolet
syn keyword tl_keyword contained symbol-function symbol-macro symbol-name symbol-package
syn keyword tl_keyword contained symbol-value symbolp symdiff symlink
syn keyword tl_keyword contained sys:%backpatch-high16% sys:%backpatch-low16% sys:%big-endian% sys:%bin-op%
syn keyword tl_keyword contained sys:%bin-ops% sys:%block-using-funs% sys:%call-op% sys:%const-foldable%
syn keyword tl_keyword contained sys:%const-foldable-funs% sys:%dbg-command-env% sys:%dbg-commands% sys:%effect-free%
syn keyword tl_keyword contained sys:%effect-free-funs% sys:%eval-cache% sys:%functional% sys:%functional-funs%
syn keyword tl_keyword contained sys:%gcall-op% sys:%lev-bits% sys:%lev-size% sys:%max-lambda-fixed-args%
syn keyword tl_keyword contained sys:%max-lev% sys:%max-lev-idx% sys:%max-sm-lev% sys:%max-sm-lev-idx%
syn keyword tl_keyword contained sys:%max-v-lev% sys:%nary-ops% sys:%oc-code% sys:%oc-hash%
syn keyword tl_keyword contained sys:%oc-list-builder% sys:%package-manip% sys:%param-info% sys:%quip-rand-state%
syn keyword tl_keyword contained sys:%quips% sys:%shuffled-quips% sys:%sm-lev-bits% sys:%sm-lev-size%
syn keyword tl_keyword contained sys:%test-funs% sys:%test-funs-neg% sys:%test-funs-ops% sys:%test-funs-pos%
syn keyword tl_keyword contained sys:%test-inv% sys:%test-opcode% sys:%tlo-ver% sys:%warning-syms%
syn keyword tl_keyword contained sys:*dedup* sys:*emit* sys:*eval* sys:*in-compilation-unit*
syn keyword tl_keyword contained sys:*lazy-streams* sys:*load-recursive* sys:*load-time* sys:*match-form*
syn keyword tl_keyword contained sys:*op-ctx* sys:*pl-env* sys:*pl-form* sys:*struct-prelude*
syn keyword tl_keyword contained sys:*struct-prelude-alists* sys:*top-level* sys:*trace-hash* sys:*trace-level*
syn keyword tl_keyword contained sys:*unchecked-calls* sys:abscond* sys:abscond-from sys:add-neg-parens
syn keyword tl_keyword contained sys:analyze-argtypes sys:analyze-params sys:apply sys:arith-each
syn keyword tl_keyword contained sys:asm-error sys:assumed-fun sys:autoload-try-fun sys:awk%--rng
syn keyword tl_keyword contained sys:awk%--rng+ sys:awk%--rng- sys:awk%-rng+ sys:awk%rng+
syn keyword tl_keyword contained sys:awk-code-move-check sys:awk-error sys:awk-expander sys:awk-field-name-code
syn keyword tl_keyword contained sys:awk-fun-let sys:awk-fun-shadowing-env sys:awk-mac-let sys:awk-mac-let-outer
syn keyword tl_keyword contained sys:awk-redir sys:awk-symac-let sys:awk-test sys:b*
syn keyword tl_keyword contained sys:b+ sys:b- sys:b/ sys:b<
syn keyword tl_keyword contained sys:b<= sys:b= sys:b=> sys:b>
syn keyword tl_keyword contained sys:bad-slot-syntax sys:bexp-expand sys:bexp-parse sys:bexp-parse-brace
syn keyword tl_keyword contained sys:bind-mac-check sys:bind-mac-error sys:bindable-check sys:bits
syn keyword tl_keyword contained sys:bits-to-obj sys:blk sys:brace-expand sys:build-expander
syn keyword tl_keyword contained sys:cached-sort-body sys:capture-cont sys:careful-subst-preserve sys:catch
syn keyword tl_keyword contained sys:check sys:check-end sys:check-slot sys:check-struct
syn keyword tl_keyword contained sys:check-sym sys:circref sys:comma-positions sys:compat
syn keyword tl_keyword contained sys:compile-and-match sys:compile-as-match sys:compile-atom-match sys:compile-cons-structure
syn keyword tl_keyword contained sys:compile-exprs-match sys:compile-file-conditionally sys:compile-hash-match sys:compile-loop-match
syn keyword tl_keyword contained sys:compile-match sys:compile-new-var-match sys:compile-not-match sys:compile-or-match
syn keyword tl_keyword contained sys:compile-predicate-match sys:compile-range-match sys:compile-require-match sys:compile-scan-match
syn keyword tl_keyword contained sys:compile-struct-match sys:compile-var-match sys:compile-vec-match sys:compile-with-match
syn keyword tl_keyword contained sys:compiler-emit-warnings sys:conv sys:conv-expand sys:conv-expand-sym
syn keyword tl_keyword contained sys:conv-let sys:ctx-form sys:ctx-name sys:dbg-all
syn keyword tl_keyword contained sys:dbg-backtrace sys:dbg-clear sys:dbg-enable sys:dbg-restore
syn keyword tl_keyword contained sys:dbg-set sys:dbg-step sys:debugger sys:debugger-help
syn keyword tl_keyword contained sys:dedup sys:dedup-labels sys:deffi-cb-expander sys:define-method
syn keyword tl_keyword contained sys:defset-expander sys:defset-expander-simple sys:detached-run sys:dig
syn keyword tl_keyword contained sys:disassemble-cdf sys:dlib-expr sys:do-conv sys:do-copy-obj
syn keyword tl_keyword contained sys:do-path-test sys:do-tweak-obj sys:dump-to-tlo sys:dvbind
syn keyword tl_keyword contained sys:dwim-del sys:dwim-set sys:dyn-size sys:each-match-expander
syn keyword tl_keyword contained sys:each-op sys:early-peephole sys:enc-small-op sys:ensure-op-arg
syn keyword tl_keyword contained sys:env-to-let sys:eq-comparable sys:eql-comparable sys:eval-cache-emit-warnings
syn keyword tl_keyword contained sys:eval-err sys:expand-and sys:expand-arith-each-prod sys:expand-bind-mac-params
syn keyword tl_keyword contained sys:expand-defmacro sys:expand-defsymacro sys:expand-defun sys:expand-defvarl
syn keyword tl_keyword contained sys:expand-dohash sys:expand-doloop sys:expand-each sys:expand-each-prod
syn keyword tl_keyword contained sys:expand-each-prod* sys:expand-handle sys:expand-lambda-match sys:expand-neg-parens
syn keyword tl_keyword contained sys:expand-param-macro sys:expand-params sys:expand-pic sys:expand-pic-align
syn keyword tl_keyword contained sys:expand-pic-num sys:expand-pic-num-commas sys:expand-quasi sys:expand-quasi-args
syn keyword tl_keyword contained sys:expand-quasi-match sys:expand-quasi-mods sys:expand-sym-ref sys:expr
syn keyword tl_keyword contained sys:fbind sys:find-parent sys:fixed-point sys:flatten-or
syn keyword tl_keyword contained sys:fmt-flex sys:fmt-join sys:fmt-simple sys:for-op
syn keyword tl_keyword contained sys:gc sys:gc-set-delta sys:get-buf-common sys:get-fun-getter-setter
syn keyword tl_keyword contained sys:get-mb sys:get-param-info sys:get-place-macro sys:get-var-list
syn keyword tl_keyword contained sys:get-vars sys:get-vb sys:getopts-error sys:glob-xstar
syn keyword tl_keyword contained sys:handle-bad-syntax sys:handle-mutated-var-args sys:hlet-expand sys:if-to-cond
syn keyword tl_keyword contained sys:ign-notfound sys:in6addr-condensed-text sys:insert-commas sys:is-label
syn keyword tl_keyword contained sys:l1-setq sys:l1-val sys:lambda-apply-transform sys:lambda-excess-apply-list
syn keyword tl_keyword contained sys:lambda-short-apply-list sys:lambda-too-few-args sys:lambda-too-many-args sys:lbind
syn keyword tl_keyword contained sys:lisp1-setq sys:lisp1-value sys:list-builder-flets sys:list-from-vm-desc
syn keyword tl_keyword contained sys:load-time-lit sys:loc sys:loosen sys:mac-env-flatten
syn keyword tl_keyword contained sys:make-anon-package sys:make-command-env sys:make-copy-path-opts sys:make-struct-lit
syn keyword tl_keyword contained sys:make-struct-type sys:mark-special sys:match-case-to-casequal sys:match-pat-error
syn keyword tl_keyword contained sys:maybe-mov sys:meth-lambda sys:misleading-ref-check sys:name-str
syn keyword tl_keyword contained sys:new-expander sys:new-type sys:no-dvbind-eval sys:non-triv-pat-p
syn keyword tl_keyword contained sys:null-reg sys:obtain-impl sys:op-alpha-rename sys:op-ensure-rec
syn keyword tl_keyword contained sys:op-expand sys:op-meta-p sys:op-rec-p sys:open-compile-streams
syn keyword tl_keyword contained sys:open-url sys:operand-to-exp sys:operand-to-sym sys:opip-expand
syn keyword tl_keyword contained sys:opip-let-p sys:opip-single-let-p sys:opt-controlled-diag sys:opt-dash
syn keyword tl_keyword contained sys:opt-err sys:orig-form sys:os-symbol sys:param-check
syn keyword tl_keyword contained sys:parse-compound-operand sys:parse-lambda-match-clause sys:parse-operand sys:pat-len
syn keyword tl_keyword contained sys:path-access sys:path-examine sys:path-simplify sys:path-split
syn keyword tl_keyword contained sys:path-test-mode sys:path-test-type sys:path-volume sys:pic-join-opt
syn keyword tl_keyword contained sys:placelet-1 sys:print-backtrace sys:propagate-ancestor sys:propagate-perms
syn keyword tl_keyword contained sys:prune-missing-inits sys:put-objects sys:qquote sys:quasi
syn keyword tl_keyword contained sys:quasilist sys:r-s-let-expander sys:reduce-constant sys:reduce-lisp
syn keyword tl_keyword contained sys:reduce-or sys:reg-expand-nongreedy sys:register-opcode sys:register-simple-accessor
syn keyword tl_keyword contained sys:repl sys:rewrite sys:rewrite-case sys:rplaca
syn keyword tl_keyword contained sys:rplacd sys:rslotset sys:rt-assert-fail sys:rt-defmacro
syn keyword tl_keyword contained sys:rt-defsymacro sys:rt-defun sys:rt-defv sys:rt-defvarl
syn keyword tl_keyword contained sys:rt-load-for sys:rt-pprof sys:rt-progv sys:rt-setjmp
syn keyword tl_keyword contained sys:safe-abs-path sys:safe-const-eval sys:safe-const-reduce sys:safe-constantp
syn keyword tl_keyword contained sys:set-hash-traversal-limit sys:set-macro-ancestor sys:set-symbol-value sys:setq
syn keyword tl_keyword contained sys:setqf sys:simplify-or sys:slot-types sys:small-op-p
syn keyword tl_keyword contained sys:small-op-to-sym sys:splice sys:static-slot-types sys:str-inaddr-net-impl
syn keyword tl_keyword contained sys:struct-lit sys:subst-preserve sys:switch sys:sym-clobber-expander
syn keyword tl_keyword contained sys:sym-delete-expander sys:sym-update-expander sys:system-symbol-p sys:top-fb
syn keyword tl_keyword contained sys:top-mb sys:top-vb sys:tr* sys:trace
syn keyword tl_keyword contained sys:trace-canonicalize-name sys:trace-enter sys:trace-leave sys:trace-redefine-check
syn keyword tl_keyword contained sys:transform-qquote sys:translate-hash-bang sys:tree-construct sys:trfm
syn keyword tl_keyword contained sys:true-const-p sys:txr-case-impl sys:typecase-expander sys:unquote
syn keyword tl_keyword contained sys:untrace sys:upenv sys:uw-block sys:uw-captured-block
syn keyword tl_keyword contained sys:uw-catch sys:uw-cont-copy sys:uw-eval sys:uw-expand
syn keyword tl_keyword contained sys:uw-fcall sys:uw-guard sys:uw-handle sys:uw-menv
syn keyword tl_keyword contained sys:var sys:var-pat-p sys:vars-check sys:vm-closure-desc
syn keyword tl_keyword contained sys:vm-closure-entry sys:vm-desc-bytecode sys:vm-desc-datavec sys:vm-desc-nlevels
syn keyword tl_keyword contained sys:vm-desc-nregs sys:vm-desc-symvec sys:vm-execute-toplevel sys:vm-make-desc
syn keyword tl_keyword contained sys:wdwrap sys:when-exprs-match sys:when-opt sys:with-disabled-debugging
syn keyword tl_keyword contained sys:with-dyn-lib-check syslog system-package t
syn keyword tl_keyword contained tab0 tab1 tab2 tab3
syn keyword tl_keyword contained tabdly tagbody tailp take
syn keyword tl_keyword contained take-until take-while tan tanh
syn keyword tl_keyword contained tap tb tc tcdrain
syn keyword tl_keyword contained tcflow tcflush tcgetattr tciflush
syn keyword tl_keyword contained tcioff tcioflush tcion tcoflush
syn keyword tl_keyword contained tcooff tcoon tcp-nodelay tcsadrain
syn keyword tl_keyword contained tcsaflush tcsanow tcsendbreak tcsetattr
syn keyword tl_keyword contained tentative-def-exists tenth test-clear test-clear-dirty
syn keyword tl_keyword contained test-dec test-dirty test-inc test-neq-set-indent-mode
syn keyword tl_keyword contained test-set test-set-indent-mode tf tgamma
syn keyword tl_keyword contained third throw throwf time
syn keyword tl_keyword contained time-fields-local time-fields-utc time-nsec time-parse
syn keyword tl_keyword contained time-parse-local time-parse-utc time-str-local time-str-utc
syn keyword tl_keyword contained time-string-local time-string-utc time-struct-local time-struct-utc
syn keyword tl_keyword contained time-t time-usec tmpfile tnode
syn keyword tl_keyword contained tnodep to tofloat tofloatz
syn keyword tl_keyword contained toint tointz tojson tok
syn keyword tl_keyword contained tok-str tok-where tokn tostop
syn keyword tl_keyword contained tostring tostringp touch tprint
syn keyword tl_keyword contained trace transpose tree tree-begin
syn keyword tl_keyword contained tree-bind tree-case tree-clear tree-count
syn keyword tl_keyword contained tree-del-min tree-del-min-node tree-delete tree-delete-node
syn keyword tl_keyword contained tree-delete-specific-node tree-find tree-insert tree-insert-node
syn keyword tl_keyword contained tree-lookup tree-lookup-node tree-min tree-min-node
syn keyword tl_keyword contained tree-next tree-peek tree-reset tree-root
syn keyword tl_keyword contained treep trie-add trie-compress trie-lookup-begin
syn keyword tl_keyword contained trie-lookup-feed-char trie-value-at trim-left trim-long-suffix
syn keyword tl_keyword contained trim-path-seps trim-right trim-short-suffix trim-str
syn keyword tl_keyword contained true trunc trunc-rem truncate-stream
syn keyword tl_keyword contained tuples tuples* txr-case txr-exe-path
syn keyword tl_keyword contained txr-if txr-parse txr-path txr-version
syn keyword tl_keyword contained txr-when typecase typedef typeof
syn keyword tl_keyword contained typep ubit uchar uid-t
syn keyword tl_keyword contained uint uint-buf uint-carray uint-ptr-t
syn keyword tl_keyword contained uint16 uint32 uint64 uint8
syn keyword tl_keyword contained uintmax-t ulong ulonglong umask
syn keyword tl_keyword contained umeth umethod uname unget-byte
syn keyword tl_keyword contained unget-char uni unintern union
syn keyword tl_keyword contained union-get union-in union-members union-out
syn keyword tl_keyword contained union-put uniq unique unless
syn keyword tl_keyword contained unquote unsetenv until until*
syn keyword tl_keyword contained untrace unuse-package unuse-sym unwind-protect
syn keyword tl_keyword contained upcase-str upd update uref
syn keyword tl_keyword contained url-decode url-encode use use-package
syn keyword tl_keyword contained use-sym use-sym-as user-package ushort
syn keyword tl_keyword contained usl usleep uslot utimes
syn keyword tl_keyword contained val vdiscard vec vec-carray
syn keyword tl_keyword contained vec-list vec-push vec-seq vec-set-length
syn keyword tl_keyword contained vecref vector vector-list vectorp
syn keyword tl_keyword contained veof veol veol2 verase
syn keyword tl_keyword contained vintr vkill vlnext vm-fun-p
syn keyword tl_keyword contained vmin void vquit vreprint
syn keyword tl_keyword contained vstart vstop vsusp vswtc
syn keyword tl_keyword contained vt0 vt1 vtdly vtime
syn keyword tl_keyword contained vwerase w-continued w-coredump w-exitstatus
syn keyword tl_keyword contained w-ifcontinued w-ifexited w-ifsignaled w-ifstopped
syn keyword tl_keyword contained w-nohang w-stopsig w-termsig w-untraced
syn keyword tl_keyword contained wait wchar weave when
syn keyword tl_keyword contained when-match whena whenlet where
syn keyword tl_keyword contained while while* while-match while-match-case
syn keyword tl_keyword contained while-true-match-case whilet width width-check
syn keyword tl_keyword contained window-map window-mapdo window-mappend wint-t
syn keyword tl_keyword contained with-clobber-expander with-compilation-unit with-compile-opts with-delete-expander
syn keyword tl_keyword contained with-dyn-lib with-gensyms with-hash-iter with-in-buf-stream
syn keyword tl_keyword contained with-in-string-byte-stream with-in-string-stream with-objects with-out-buf-stream
syn keyword tl_keyword contained with-out-string-stream with-out-strlist-stream with-resources with-slots
syn keyword tl_keyword contained with-stream with-update-expander wrap wrap*
syn keyword tl_keyword contained wstr wstr-d wstr-s xcase
syn keyword tl_keyword contained y0 y1 yield yield-from
syn keyword tl_keyword contained yn zap zarray zchar
syn keyword tl_keyword contained zero-fill zerop zip znew
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_splicevar "[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "\(@[ \t]*\)\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match tl_error "#[^HSRTN]"

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_hashbang "\%^#!.*"

syn match txr_qat "\(@[ \t]*\)" nextgroup=txr_splicevar,txr_metanum,txr_qbracevar,txr_list,txr_bracket,txr_escat,txr_stresc,txr_numesc,txr_badesc contained
syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match txr_braced_ident "\(#\?:\)\?[[A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "\(#\?:\)\?[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9,]\+" contains=txr_xnum,txr_bnum,txr_onum
syn match txr_xnum "#x[+\-]\?\([0-9A-Fa-f][,0-9A-Fa-f]*[0-9A-Fa-f]\|[0-9A-Fa-f]\)" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?\([0-7][,0-7]*[0-7]\|[0-7]\)" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?\([01][,01]*[01]\|[01]\)" containedin=txr_pnum contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)"
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([eE][+\-]\?[0-9]\+\)\?"
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([eE][+\-]\?[0-9]\+\)"
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)"
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)"
syn match tl_ident "#\?:"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'"
syn match txr_quote "\^"
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@"

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_qbracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_list matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_string start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_qat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_ign matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTNJ]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*{" matchgroup=Comment end="}" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="{" matchgroup=Comment end="}" contains=txr_ign_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_qat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link tl_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_interior Comment
hi def link txr_ign Comment
hi def link txr_ign_json Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,close-lazy-streams,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,compiler-let,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,define-struct-prelude,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-false,each-match,each-match-product,each-prod,each-prod*,each-true,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,ensure,enum,enumed,equot,etypecase,eval-only,expander-let,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lflow,lnew*,load-for,load-time,loand,lop,lopf,lopip,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-cond,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,nand,new*,nor,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,opf,pack,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,progv,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,setjmp,sizeof,slet,some-false,some-true,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:arith-each,sys:awk-fun-let,sys:awk-mac-let,sys:awk-mac-let-outer,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:cached-sort-body,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:ign-notfound,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:meth-lambda,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:when-opt,sys:with-disabled-debugging,tagbody,tap,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-compile-opts,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:\;\;\;,:\;\;,:\;
